import os

logs = [
    "dark_oak", "oak", "acacia", "birch", "jungle", "spruce"
]

files = [
    "drop_leaf", "leaf", "log", "main", "plant", "start"
]

def main():
    for log in logs:
        os.makedirs("%s_logs" % log, exist_ok=True);

        for file in files:
            with open("template_logs/%s.mcfunction" % file, mode="r", encoding="utf-8") as fin:
                str_code = fin.read();
            
            with open("%s_logs/%s.mcfunction" % (log, file), mode="w", encoding="utf-8") as fout:
                fout.write(str_code.replace("spruce_", "%s_" % log))

if __name__ == '__main__':
    main();
