import os

logs = [
    "warped", "crimson", "mushroom", "mangrove"
]

files = [
    "drop_leaf", "leaf", "log", "main", "start"
]

def main():
    for log in logs:
        os.makedirs("%s_stems" % log, exist_ok=True);

        for file in files:
            with open("template_stems/%s.mcfunction" % file, mode="r", encoding="utf-8") as fin:
                str_code = fin.read();
            
            with open("%s_stems/%s.mcfunction" % (log, file), mode="w", encoding="utf-8") as fout:
                fout.write(str_code.replace("warped_", "%s_" % log))

if __name__ == '__main__':
    main();
